\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}
\usepackage{tikz}

\begin{document}
\def\firstcircle{(0,0) circle (1.5cm)}
\def\secondcircle{(0:2cm) circle (1.5cm)}

\colorlet{circle edge}{blue!50}
\colorlet{circle area}{blue!20}

\tikzset{filled/.style={fill=circle area, draw=circle edge, thick},
    outline/.style={draw=circle edge, thick}}

\begin{tikzpicture} % Author: Uwe Ziegenhagen, from T. Tantau
    \draw[filled, even odd rule] \firstcircle node {\( A \)}
                                 \secondcircle node{\( B \)};
    \node[anchor=south] at (current bounding box.north) {\( \overline{A \cap B} \)};
\end{tikzpicture}
\end{document}
